import {
  arrangeTypeList,
  serialNumberTypeList,
  serialNumberPositionList,
  snGenerationMethodList,
} from '@/views/book/courseware/data/common';

export { arrangeTypeList };

export function getSortProperty() {
  return {
    serial_number: 1,
    sn_type: serialNumberTypeList[0].value,
    sn_position: serialNumberPositionList[0].value,
    sn_generation_method: snGenerationMethodList[0].value,
    arrange_direction: arrangeTypeList[0].value,
  };
}

export function getSortData() {
  return {
    type: 'sort',
    title: '排序',
    option_list: [],
    property: getSortProperty(),
  };
}
